Subject: Re: git quietly fails on https:// URL, https errors are never reported to user

From: Yuri <[email-masked]>
Date: Fri, 17 Jan 2014 01:40:54 -0800

On 01/16/2014 10:03, Jeff King wrote:
> We used to print "Reading from helper 'git-remote-https' failed" in this
> instance. But in the majority of cases, remote-https has printed a
> useful message already to stderr, and the extra line just confused
> people. The downside, as you noticed, is that when the helper dies
> without printing an error, the user is left with no message.

I would like to suggest to return this printout, see patch below. This 
would be a revert of this commit:
commit 266f1fdfa99f5d29ca7ce455966e7960c00a82e4
Author: Jeff King <[email-masked]>
Date:   Fri Jun 21 03:05:39 2013 -0400

I think that in a rare case of error this extra-printout wouldn't hurt. 
I also made this message more user friendly, without mentioning the term 
"helper".

Yuri

diff --git a/transport-helper.c b/transport-helper.c
index 2010674..5ea2831 100644
--- a/transport-helper.c
+++ b/transport-helper.c
@@ -58,7 +58,7 @@ static int recvline_fh(FILE *helper, struct strbuf 
*buffer, const char *name)
         if (strbuf_getline(buffer, helper, '\n') == EOF) {
                 if (debug)
                         fprintf(stderr, "Debug: Remote helper quit.\n");
-               exit(128);
+               die("Failure in '%s' protocol reader", name);
         }

         if (debug)